Bug 9255 - getncchanges with exop for repl_obj returns highest_usn
getncchanges with exop for repl_obj returns highest_usn
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: DCE-RPCs and pipes
4.0.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 06:22 UTC by Matthieu Patou
Modified: 2012-10-15 09:55 UTC (History)
1 user (show)

See Also:


Attachments
Proposed patch to fix the problem (980 bytes, patch)
2012-10-13 06:55 UTC, Matthieu Patou
mat: review? (jra)
metze: review+
mat: review? (abartlet)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu Patou 2012-10-08 06:22:37 UTC
Nothing indicate in the specification that it should be zero in fact it should be derived from the usn vector.
Comment 1 Matthieu Patou 2012-10-13 06:55:30 UTC
Created attachment 8055 [details]
Proposed patch to fix the problem
Comment 2 Matthieu Patou 2012-10-13 06:56:06 UTC
Problem was spotted by DRSR test suite from microsoft, windows doesn't behave like that.
Comment 3 Stefan Metzmacher 2012-10-15 06:34:25 UTC
Comment on attachment 8055 [details]
Proposed patch to fix the problem

Looks good
Comment 4 Stefan Metzmacher 2012-10-15 06:34:49 UTC
Karolin, please pick this to v4-0-test.
Comment 5 Karolin Seeger 2012-10-15 09:55:00 UTC
Pushed to autobuild-v4-0-test.
Closing out bug report.

Thanks!